!------------------------------------------------------------------------------
!  ALAD_EVXY_Z  -- EVALUATE ALADDIN FUNCTION ON ARRAY OF PTS
!
SUBROUTINE ALAD_EVXY_Z(EVSUB,ZX,ZY,INUM)
!
!============
! idecl:  explicitize implicit INTEGER declarations:
  use iso_c_binding, only: fp => c_double
  use alpcom_mod
  use alcom_mod
  IMPLICIT NONE
  INTEGER inum,i
!============
  EXTERNAL EVSUB   ! EVALUATION ROUTINE
!
  real(fp) ZX(INUM)    ! INDEP. COORDS (INPUT)
  real(fp) ZY(INUM)    ! RESULTS (OUTPUT)
!
  real(fp) ZZX,ZZY
!
  CHARACTER*80 ZERMSG
!------------------------------------------------------------------------------
!
  ZERMSG=' '
!
  DO I=1,INUM
!
     ZZX=ZX(I)
!
     CALL EVSUB(ZZX,CF,NCF,ZZY,ERRMSG)
!
     IF(ERRMSG.EQ.' ') THEN
        ZY(I)=ZZY
     ELSE
        IF(ERRMSG.NE.ZERMSG) THEN
           WRITE(LUTOUT,1001) ZX(I),ERRMSG
1001       FORMAT(' ALAD_EVXY_Z @X=',1PE11.4,': EVSUB MSG:  ',A)
        ENDIF
        ZY(I)=0.0_fp
        ZERMSG=ERRMSG
     ENDIF
  enddo
!
  RETURN
END SUBROUTINE ALAD_EVXY_Z
!
!------------------------------------------------------------------------------
! 30Jun2000 fgtok -s r8_precision.sub "r8con.csh conversion"
